%define	upstream_name	 Data-Dump
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Pretty printing of data structures
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:     ftp://ftp.perl.org/pub/CPAN/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test)
BuildArch:  noarch

%description
This module provides a single function called dump() that takes a list
of values as its argument and produces a string as its result. The
string contains Perl code that, when evaled, produces a deep copy of
the original arguments. The string is formatted for easy reading.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Data

%changelog

* Wed Nov 02 2011 kharec <kharec> 1.210.0-1.mga2
+ Revision: 161678
- update to 1.21

* Wed Oct 12 2011 takashi <takashi> 1.200.0-2.mga2
+ Revision: 154058
- update to 1.20

* Sat Jan 22 2011 jquelin <jquelin> 1.190.0-2.mga1
+ Revision: 32740
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 30068
- mageia rebuild
- imported package perl-Data-Dump

